LoadException (JavaFX 19)
Description: declaration: module: javafx.fxml, package: javafx.fxml, class: LoadException

Module javafx.fxml
Package javafx.fxml

# Class LoadException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
javafx.fxml.LoadException

All Implemented Interfaces:
  `Serializable`

public class LoadException extends IOException
Thrown when an error is encountered during a load operation.

Since:
  JavaFX 2.0
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LoadException()`
  Creates a default `LoadException`.
  `LoadException(String message)`
  Creates a `LoadException` with the given message.
  `LoadException(String message, Throwable cause)`
  Creates a `LoadException` with the given message and `Throwable` cause.
  `LoadException(Throwable cause)`
  Creates a `LoadException` with the given `Throwable` cause.

- ## Method Summary

  ### Methods declared in class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### LoadException

    public LoadException()
    Creates a default `LoadException`.

  - ### LoadException

    public LoadException(String message)
    Creates a `LoadException` with the given message.
    Parameters:
      `message` - the message

  - ### LoadException

    public LoadException(Throwable cause)
    Creates a `LoadException` with the given `Throwable` cause.
    Parameters:
      `cause` - the `Throwable` cause

  - ### LoadException

    public LoadException(String message, Throwable cause)
    Creates a `LoadException` with the given message and `Throwable` cause.
    Parameters:
      `message` - the message
      `cause` - the `Throwable` cause